From: Wouter van Oortmerssen <[email-masked]>
To: [email-masked]
Date: Fri, 2 Jul 1993 21:47:25 +0200

[actually two replies]
 
>>    Is there a safe, compatible way to access the Custom chip registers in
>> E?  'C' compilers usually provide an 'extern struct Custom *custom' or some
>> such.  CBM reckon we shouldn't use absolute addresses (except ExecBase) so
>> how do you find the address of the registers?  (I've looked in the Rom Kernel
>> Manuals with no success...)
 
the custom chip base is $DFF000, and there is generally no system-
friendly way to get this value, though next to $4, $DFF000 has been
well accepted as a fixed address, even by commodore (just see the
1.3 hardware-reference manual)
just check hardware/custom.m for the offsets.
 
to be really system friendly however, would be to first get
access through the device/library/resource that handles a certain
register, then start poking. for example, first call OwnBlitter()
before accessing BLTSIZE etc.
 
>>    May I take this opportunity to recommend Wouter's text editor MegaEd for
>> writing code.  It has a number of unique, useful features.  I use it to strip
>> the first 'X' on lines of a shar archive by shifting blocks left!
 
I tried to explain this in a mail some time ago: MegaEd is not as
wonderfull as it may seem from it's endless list of features.
It has some unrepairable bugs that _might_ cause it to crash.
Therefore, I advice to use MegaEd only for small jobs that need
the powerfull text-manipulation features not found in any other editor,
but for regular source editing use another editor.
 
>> ---
>>    _____  _
>>      /   / |    /  /
>>     /   /__/   /__/      Jason R. Hulance
>>    /   /\     /  /   <[email-masked]>
>> |_/ . /  \ . /  / .
 
---------------
 
>> Anyone know of an Amiga emulator for the Sparc Sun?  Sun used to use the 6803
 
>> CPU in their workstations, but now they use a Sparc.  All I really want to do
is
>> get a CLI environment, no Intuition or Graphics, so's I can run EC :)  -- Bar
y
 
If someone sends me a free 680x0 sun with tech-manuals and a macro assembler,
I'll start porting! :-)
 
Wouter
 
   ____  Wouter van Oortmerssen, [email-masked]
  / __/  "Einen Satz verstehen, heisst, wissen was der Fall ist,
 / __/    wenn er wahr ist" - Wittgenstein
/___/  ->subscribe to the E mailing list: [email-masked]<-